package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hz.pm.api.common.compare.Compare;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Classname Purchase
 * @Description
 * @Date 2023/5/29 10:00
 * @Author PoffyZhang
 */
@TableName("nd_purchase")
@ApiModel(value = "采购对象", description = "采购对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Purchase {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("标段名称")
    private String bidName;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人 工号")
    private String createBy;

    @ApiModelProperty("修改人 工号")
    private String updateBy;

    @ApiModelProperty("供应商")
    private String supplier;

    @ApiModelProperty("供应商社会信用代码")
    private String supplierSocialCreditCode;

    @ApiModelProperty("采购方式 1公开招标 2自行采购")
    private String purchaseMethod;

    @ApiModelProperty("成交金额")
    private BigDecimal transactionAmount;

    @ApiModelProperty("成交时间")
    private LocalDateTime transactionTime;

    @ApiModelProperty("代理机构")
    private String agency;

    @ApiModelProperty("标段类型")
    private Integer bidType;

    @ApiModelProperty("投标文件")
    private String biddingDoc;

    @ApiModelProperty("中标通知书")
    private String acceptanceLetter;

    @ApiModelProperty("标段建设内容")
    private String bidBuildContent;

    @ApiModelProperty("代理机构社会统一信用代码")
    private String purchaseSocialCreditCode;

    @ApiModelProperty("招标文件")
    private String bidDoc;

    @ApiModelProperty("预算执行确认书编号")
    private String budgetExecConfirmNo;

    @ApiModelProperty("投标地址")
    private String bidAddress;

    @ApiModelProperty("标项预算")
    private BigDecimal bidBudget;

    @ApiModelProperty("开标时间")
    private LocalDateTime bidStartTime;

    @ApiModelProperty("投标截止时间")
    private LocalDateTime bidEndTime;

    private Integer status;

    @ApiModelProperty("初验材料")
    private String preliminaryInspectionMaterials;

    @ApiModelProperty("是否完成日志数据归集")
    private Boolean isCompletedLogCollection;

    @ApiModelProperty("实际成效指标")
    private String actualPerformanceIndicators;

    @ApiModelProperty("是否符合信创符合性要求")
    private Boolean matchXcfhx;

    @ApiModelProperty("信创符合性申请备注")
    private String xcfhxApplyRemark;

    @ApiModelProperty("信创符合性申请其他附件")
    private String xcfhxApplyFiles;

    @ApiModelProperty("信创报告")
    private String xcfhxReportFiles;



}
